tclap: TCLAP::UnlabeledValueArg< T > Class Template Reference

# TCLAP::UnlabeledValueArg< T > Class Template Reference

The basic unlabeled argument that parses a value. More...

`#include <UnlabeledValueArg.h>`

Inheritance diagram for TCLAP::UnlabeledValueArg< T >:

List of all members.

## Public Member Functions
| UnlabeledValueArg (const std::string &name, const std::string &desc, bool req, T value, const std::string &typeDesc, bool ignoreable=false, Visitor *v=NULL)
| UnlabeledValueArg constructor.
| UnlabeledValueArg (const std::string &name, const std::string &desc, bool req, T value, const std::string &typeDesc, CmdLineInterface &parser, bool ignoreable=false, Visitor *v=NULL)
| UnlabeledValueArg constructor.
| UnlabeledValueArg (const std::string &name, const std::string &desc, bool req, T value, Constraint< T > *constraint, bool ignoreable=false, Visitor *v=NULL)
| UnlabeledValueArg constructor.
| UnlabeledValueArg (const std::string &name, const std::string &desc, bool req, T value, Constraint< T > *constraint, CmdLineInterface &parser, bool ignoreable=false, Visitor *v=NULL)
| UnlabeledValueArg constructor.
virtual bool | processArg (int *i, std::vector< std::string > &args)
| Handles the processing of the argument.
virtual std::string | shortID (const std::string &val="val") const
| Overrides shortID for specific behavior.
virtual std::string | longID (const std::string &val="val") const
| Overrides longID for specific behavior.
virtual bool | operator== (const Arg &a) const
| Overrides operator== for specific behavior.
virtual void | addToList (std::list< Arg * > &argList) const
| Instead of pushing to the front of list, push to the back.

## Detailed Description

### template<class T>
class TCLAP::UnlabeledValueArg< T >

The basic unlabeled argument that parses a value.

This is a template class, which means the type T defines the type that a given object will attempt to parse when an UnlabeledValueArg is reached in the list of args that the CmdLine iterates over.

Definition at line 43 of file UnlabeledValueArg.h.

## Constructor & Destructor Documentation

template<class T >

TCLAP::UnlabeledValueArg< T >::UnlabeledValueArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | T | value,
|  | const std::string & | typeDesc,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

UnlabeledValueArg constructor.

Constructor implemenation.

Parameters:

  | name | - A one word name for the argument. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | value | - The default value assigned to this argument if it is not present on the command line.
  | typeDesc | - A short, human readable description of the type that this object expects. This is used in the generation of the USAGE statement. The goal is to be helpful to the end user of the program.
  | ignoreable | - Allows you to specify that this argument can be ignored if the '--' flag is set. This defaults to false (cannot be ignored) and should generally stay that way unless you have some special need for certain arguments to be ignored.
  | v | - Optional Vistor. You should leave this blank unless you have a very good reason.

Definition at line 213 of file UnlabeledValueArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

template<class T >

TCLAP::UnlabeledValueArg< T >::UnlabeledValueArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | T | value,
|  | const std::string & | typeDesc,
|  | CmdLineInterface & | parser,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

UnlabeledValueArg constructor.

Parameters:

  | name | - A one word name for the argument. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | value | - The default value assigned to this argument if it is not present on the command line.
  | typeDesc | - A short, human readable description of the type that this object expects. This is used in the generation of the USAGE statement. The goal is to be helpful to the end user of the program.
  | parser | - A CmdLine parser object to add this Arg to
  | ignoreable | - Allows you to specify that this argument can be ignored if the '--' flag is set. This defaults to false (cannot be ignored) and should generally stay that way unless you have some special need for certain arguments to be ignored.
  | v | - Optional Vistor. You should leave this blank unless you have a very good reason.

Definition at line 229 of file UnlabeledValueArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::CmdLineInterface::add(), TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

template<class T >

TCLAP::UnlabeledValueArg< T >::UnlabeledValueArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | T | value,
|  | Constraint< T > * | constraint,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

UnlabeledValueArg constructor.

Constructor implemenation.

Parameters:

  | name | - A one word name for the argument. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | value | - The default value assigned to this argument if it is not present on the command line.
  | constraint | - A pointer to a Constraint object used to constrain this Arg.
  | ignoreable | - Allows you to specify that this argument can be ignored if the '--' flag is set. This defaults to false (cannot be ignored) and should generally stay that way unless you have some special need for certain arguments to be ignored.
  | v | - Optional Vistor. You should leave this blank unless you have a very good reason.

Definition at line 248 of file UnlabeledValueArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

template<class T >

TCLAP::UnlabeledValueArg< T >::UnlabeledValueArg | ( | const std::string & | name,
|  | const std::string & | desc,
|  | bool | req,
|  | T | value,
|  | Constraint< T > * | constraint,
|  | CmdLineInterface & | parser,
|  | bool | ignoreable = `false`,
|  | Visitor * | v = `NULL` |
| ) |  |  | `[inline]`

UnlabeledValueArg constructor.

Parameters:

  | name | - A one word name for the argument. Note that this is used for identification, not as a long flag.
  | desc | - A description of what the argument is for or does.
  | req | - Whether the argument is required on the command line.
  | value | - The default value assigned to this argument if it is not present on the command line.
  | constraint | - A pointer to a Constraint object used to constrain this Arg.
  | parser | - A CmdLine parser object to add this Arg to
  | ignoreable | - Allows you to specify that this argument can be ignored if the '--' flag is set. This defaults to false (cannot be ignored) and should generally stay that way unless you have some special need for certain arguments to be ignored.
  | v | - Optional Vistor. You should leave this blank unless you have a very good reason.

Definition at line 262 of file UnlabeledValueArg.h.

References TCLAP::Arg::_ignoreable, TCLAP::CmdLineInterface::add(), TCLAP::OptionalUnlabeledTracker::check(), and TCLAP::Arg::toString().

## Member Function Documentation

template<class T >

void TCLAP::UnlabeledValueArg< T >::addToList | ( | std::list< Arg * > & | argList | ) | const`[inline, virtual]`

Instead of pushing to the front of list, push to the back.

Parameters:

  | argList | - The list to add this to.

Definition at line 334 of file UnlabeledValueArg.h.

template<class T >

std::string TCLAP::UnlabeledValueArg< T >::longID | ( | const std::string & | val = `"val"` | ) | const`[inline, virtual]`

Overrides longID for specific behavior.

Overriding longID for specific output.

Reimplemented from TCLAP::ValueArg< T >.

Definition at line 311 of file UnlabeledValueArg.h.

References TCLAP::ValueArg< T >::_typeDesc.

template<class T >

bool TCLAP::UnlabeledValueArg< T >::operator== | ( | const Arg & | a | ) | const`[inline, virtual]`

Overrides operator== for specific behavior.

Overriding operator== for specific behavior.

Definition at line 325 of file UnlabeledValueArg.h.

References TCLAP::Arg::_description, TCLAP::Arg::_name, TCLAP::Arg::getDescription(), and TCLAP::Arg::getName().

template<class T >

bool TCLAP::UnlabeledValueArg< T >::processArg | ( | int * | i,
|  | std::vector< std::string > & | args |
| ) |  |  | `[inline, virtual]`

Handles the processing of the argument.

Implementation of processArg().

This re-implements the Arg version of this method to set the _value of the argument appropriately. Handling specific to unlabled arguments.

Parameters:

  | i | - Pointer the the current argument in the list.
  | args | - Mutable list of strings.

Reimplemented from TCLAP::ValueArg< T >.

Definition at line 281 of file UnlabeledValueArg.h.

References TCLAP::Arg::_alreadySet, TCLAP::ValueArg< T >::_extractValue(), and TCLAP::Arg::_hasBlanks().

template<class T >

std::string TCLAP::UnlabeledValueArg< T >::shortID | ( | const std::string & | val = `"val"` | ) | const`[inline, virtual]`

Overrides shortID for specific behavior.

Overriding shortID for specific output.

Reimplemented from TCLAP::ValueArg< T >.

Definition at line 301 of file UnlabeledValueArg.h.

References TCLAP::ValueArg< T >::_typeDesc.

The documentation for this class was generated from the following file:

- UnlabeledValueArg.h